world:addEntity({ gravity = -300 })

gravities = filteredSystem("gravities", { gravity = T.number })

filteredSystem("changeGravity", { changeGravityTo = T.number }, function(e, _, _)
    for _, ge in pairs(gravities.entities) do
        ge.gravity = e.changeGravityTo
    end
end)

local min = math.min

fallSystem = filteredSystem("fall", { velocity = T.XyPair, mass = T.number }, function(e, dt)
    for _, ge in pairs(gravities.entities) do
        e.velocity.y = min(400, e.velocity.y - (ge.gravity * dt * e.mass) - (0.5 * dt * dt))
    end
end)
